# Class _X3dExporter

java.lang.Object
org.jmol.export.___Exporter
org.jmol.export.__CartesianExporter
org.jmol.export._VrmlExporter
org.jmol.export._X3dExporter

public class _X3dExporter extends _VrmlExporter

## Field Summary

### Fields inherited from class _VrmlExporter

`fontChild, fontFace, fontSize, fontStyle, tempQ1, tempQ2, tempQ3, useTable`

### Fields inherited from class __CartesianExporter

`canCapCylinders, noColor, sphereMatrix, viewpoint`

### Fields inherited from class ___Exporter

`apertureAngle, backgroundColix, cameraDistance, cameraPosition, center, commandLineOptions, commentChar, degreesPerRadian, depthZ, export3D, exportScale, fileName, fixedRotationCenter, gdata, lightSource, lineWidthMad, out, privateKey, referenceCenter, scalePixelsPerAngstrom, screenHeight, screenWidth, slabZ, solidOnly, tempP1, tempP2, tempP3, tempV1, tempV2, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`_X3dExporter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`outputAppearance(short colix, boolean isText)`
`protected void`
`outputAttr(String attr, float x, float y, float z)`
`protected void`
`outputAttrPt(String attr, T3 pt)`
`protected void`
`outputChildClose()`
`protected void`
`outputChildShapeClose()`
`protected void`
`outputChildShapeStart()`
`protected void`
`outputChildStart()`
`protected void`
`outputCircle(P3 pt1, P3 pt2, float radius, short colix, boolean doFill)`
`protected void`
`outputCloseTag()`
`protected void`
`outputDefChildFaceSet(String child)`
`protected void`
`outputFaceSetClose()`
`protected void`
`outputFaceSetStart()`
`protected void`
`outputFooter()`
`protected void`
`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
`outputHeader()`
`protected void`
`outputRotation(A4 a)`
`protected void`
`outputShapeClose()`
`protected void`
`outputShapeStart()`
`protected void`
`outputTextPixel(P3 pt, int argb)`
`protected void`
`outputTriangle(T3 pt1, T3 pt2, T3 pt3, short colix)`
`protected void`
`outputUseChildClose(String child)`
`protected void`
`popMatrix()`
`protected void`
`pushMatrix()`

### Methods inherited from class _VrmlExporter

`getDef, getViewpoint, output, outputColorIndices, outputColors, outputCone, outputCylinder, outputCylinderChildScaled, outputEllipsoid, outputFace, outputInitialTransform, outputNormals, outputQuaternionFrame, outputSolidPlate, outputSphere, outputSurface, outputTransRot`

### Methods inherited from class __CartesianExporter

`fillTriangle, getCameraPosition, getCoordinateMap, getModelCenter, getNormalMap, outputIndices, setSphereMatrix`

### Methods inherited from class ___Exporter

`finalizeOutput, finalizeOutput2, fixScreenZ, getByteCount, getColorList, getConeMesh, getExportDate, getJmolPerspective, getRotationMatrix, getRotationMatrix, getTriad, getTriadC, initOutput, opacityFractionalFromArgb, opacityFractionalFromColix, output, outputComment, outputJmolPerspective, outputVertex, outputVertices, rgbFractionalFromArgb, rgbFractionalFromColix, round, round, setTempVertex, translucencyFractionalFromColix`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### _X3dExporter

public _X3dExporter()

## Method Details

### outputHeader

protected void outputHeader()

Overrides:
  `outputHeader` in class `_VrmlExporter`

### outputAttrPt

protected void outputAttrPt(String attr, T3 pt)

Overrides:
  `outputAttrPt` in class `_VrmlExporter`

### pushMatrix

protected void pushMatrix()

Overrides:
  `pushMatrix` in class `_VrmlExporter`

### popMatrix

protected void popMatrix()

Overrides:
  `popMatrix` in class `_VrmlExporter`

### outputAttr

protected void outputAttr(String attr, float x, float y, float z)

Overrides:
  `outputAttr` in class `_VrmlExporter`

### outputRotation

protected void outputRotation(A4 a)

Overrides:
  `outputRotation` in class `_VrmlExporter`

### outputFooter

protected void outputFooter()

Overrides:
  `outputFooter` in class `_VrmlExporter`

### outputAppearance

protected void outputAppearance(short colix, boolean isText)

Overrides:
  `outputAppearance` in class `_VrmlExporter`

### outputChildShapeStart

protected void outputChildShapeStart()

Overrides:
  `outputChildShapeStart` in class `_VrmlExporter`

### outputShapeStart

protected void outputShapeStart()

Overrides:
  `outputShapeStart` in class `_VrmlExporter`

### outputChildStart

protected void outputChildStart()

Overrides:
  `outputChildStart` in class `_VrmlExporter`

### outputChildClose

protected void outputChildClose()

Overrides:
  `outputChildClose` in class `_VrmlExporter`

### outputDefChildFaceSet

protected void outputDefChildFaceSet(String child)

Overrides:
  `outputDefChildFaceSet` in class `_VrmlExporter`

### outputFaceSetStart

protected void outputFaceSetStart()

Overrides:
  `outputFaceSetStart` in class `_VrmlExporter`

### outputFaceSetClose

protected void outputFaceSetClose()

Overrides:
  `outputFaceSetClose` in class `_VrmlExporter`

### outputUseChildClose

protected void outputUseChildClose(String child)

Overrides:
  `outputUseChildClose` in class `_VrmlExporter`

### outputChildShapeClose

protected void outputChildShapeClose()

Overrides:
  `outputChildShapeClose` in class `_VrmlExporter`

### outputShapeClose

protected void outputShapeClose()

Overrides:
  `outputShapeClose` in class `_VrmlExporter`

### outputCloseTag

protected void outputCloseTag()

Overrides:
  `outputCloseTag` in class `_VrmlExporter`

### outputTriangle

protected void outputTriangle(T3 pt1, T3 pt2, T3 pt3, short colix)

Overrides:
  `outputTriangle` in class `_VrmlExporter`

### outputCircle

protected void outputCircle(P3 pt1, P3 pt2, float radius, short colix, boolean doFill)

Overrides:
  `outputCircle` in class `_VrmlExporter`

### outputGeometry

protected void outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)

Overrides:
  `outputGeometry` in class `_VrmlExporter`

### outputTextPixel

protected void outputTextPixel(P3 pt, int argb)

Overrides:
  `outputTextPixel` in class `_VrmlExporter`